Skip to content

List Model Evaluation Jobs

GET
/model_evaluation/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/model_evaluation/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

per_page
integer

Number of results per page

page_no
integer

The page number from which you want your page search results to be displayed.

Successful Response

Media typeapplication/json
object
code
integer
message
string
total_page_number
integer
total_count
integer
data
Array<object>
object
id
integer
name
string
project_id
integer
input_dataset
string
nullable
input_dataset_config
object
dataset_path
string
nullable
hf_dataset_name
string
custom_hf_dataset_name
string
dataset_split
string
input_column
string
output_column
string
reference_answer_column
string
num_rows_limit
integer
dataset_type
string
output_dataset
object
id
integer
name
string
project_id
integer
storage_type
string
status
string
created_at
string format: date-time
updated_at
string format: date-time
framework
object
id
integer
name
string
display_name
string
description
string
metrics
Array<object>
object
name
string
description
string
display_name
string
evaluator_llm_name
string
evaluation_config
object
temperature
number
max_tokens
integer
top_p
number
status
string
run
object
id
integer
name
string
run_id
string
state
string
progress
string
finished_at
string format: date-time
created_at
string format: date-time
source
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time

Example generated

{
"code": 1,
"message": "example",
"total_page_number": 1,
"total_count": 1,
"data": [
{
"id": 1,
"name": "example",
"project_id": 1,
"input_dataset": "example",
"input_dataset_config": {
"dataset_path": "example",
"hf_dataset_name": "example",
"custom_hf_dataset_name": "example",
"dataset_split": "example",
"input_column": "example",
"output_column": "example",
"reference_answer_column": "example",
"num_rows_limit": 1,
"dataset_type": "example"
},
"output_dataset": {
"id": 1,
"name": "example",
"project_id": 1,
"storage_type": "example",
"status": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
},
"framework": {
"id": 1,
"name": "example",
"display_name": "example",
"description": "example",
"metrics": [
{
"name": "example",
"description": "example",
"display_name": "example"
}
]
},
"evaluator_llm_name": "example",
"evaluation_config": {
"temperature": 1,
"max_tokens": 1,
"top_p": 1
},
"status": "example",
"run": {
"id": 1,
"name": "example",
"run_id": "example",
"state": "example",
"progress": "example",
"finished_at": "2026-04-15T12:00:00Z",
"created_at": "2026-04-15T12:00:00Z",
"source": "example"
},
"created_by": {
"id": 1,
"name": "example",
"email": "example",
"username": "example"
},
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
]
}